Bug 810338 - [eap6] configuring of http connector fails
[eap6] configuring of http connector fails
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Agent (Show other bugs)
4.4
Unspecified Unspecified
high Severity unspecified (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks: as7-plugin
  Show dependency treegraph
 
Reported: 2012-04-05 11:49 EDT by Libor Zoubek
Modified: 2015-11-01 19:42 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 03:21:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Libor Zoubek 2012-04-05 11:49:13 EDT
Description of problem: I am not able to configure HTTP connector resource. Each configuration change fails with same error.


Version-Release number of selected component (if applicable):
Version: 4.4.0-SNAPSHOT
Build Number: 8af11c9
EAP ER4.1

How reproducible:always


Steps to Reproduce:
1.import EAP6 running in standalone mode
2.navigate to web -> http child resource, select Configuration
3. do a configuraton change - e.g. add new 'Virtual Server' item
  
Actual results: configuration change fails with error

{JBAS014653: Composite operation failed and was rolled back. Steps that failed:={Operation step-8=JBAS014688: Wrong type for virtual-server. Expected [STRING] but was LIST}}, rolled-back=true


Expected results: configuration change succeeds


Additional info: I think this BZ is related with another issue : new web connector child resource cannot be added. Once this BZ is ON_QA I'll verify adding new connector and potentially raise new BZ for it.
Comment 1 Charles Crouch 2012-04-09 12:36:12 EDT
(In reply to comment #1)
> Additional info: I think this BZ is related with another issue : new web
> connector child resource cannot be added.

Libor, can you add this other BZ to the Depends On field.
Thanks
Comment 2 Libor Zoubek 2012-04-10 05:50:05 EDT
this BZ has been fixed (it works in Version: 4.4.0-SNAPSHOT Build Number: c59e6a3) although Bug 811149 is reproducible on that revision, this means there is no relation between them.
Comment 3 Heiko W. Rupp 2013-09-02 03:21:52 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.